## gvfs 1.46.2

=== meson_options.txt ===
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units, or \'no\' to disable')
option('tmpfilesdir', type: 'string', value: '', description: 'custom directory for tmpfiles.d config files, or \'no\' to disable')

option('admin', type: 'boolean', value: true, description: 'build with admin backend')
option('afc', type: 'boolean', value: true, description: 'build with afc backend and volume monitor')
option('afp', type: 'boolean', value: true, description: 'build with afp backends')
option('archive', type: 'boolean', value: true, description: 'build with archive backend')
option('cdda', type: 'boolean', value: true, description: 'build with cdda backend')
option('dnssd', type: 'boolean', value: true, description: 'build with dnssd backend')
option('goa', type: 'boolean', value: true, description: 'build with goa volume monitor')
option('google', type: 'boolean', value: true, description: 'build with google backend')
option('gphoto2', type: 'boolean', value: true, description: 'build with gphoto2 backend and volume monitor')
option('http', type: 'boolean', value: true, description: 'build with http/dav backends')
option('mtp', type: 'boolean', value: true, description: 'build with mtp backend and volume monitor')
option('nfs', type: 'boolean', value: true, description: 'build with nfs backend')
option('sftp', type: 'boolean', value: true, description: 'build with sftp backend')
option('smb', type: 'boolean', value: true, description: 'build with smb backends')
option('udisks2', type: 'boolean', value: true, description: 'build with udisks2 volume monitor')

option('bluray', type: 'boolean', value: true, description: 'build with bluray metadata support')
option('fuse', type: 'boolean', value: true, description: 'build with fuse support')
option('gcr', type: 'boolean', value: true, description: 'build with gcr certificate support')
option('gcrypt', type: 'boolean', value: true, description: 'build with gcrypt support')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support')
option('keyring', type: 'boolean', value: true, description: 'build with keyring support')
option('logind', type: 'boolean', value: true, description: 'build with logind support')
option('libusb', type: 'boolean', value: true, description: 'build with libusb interruption support')

option('devel_utils', type: 'boolean', value: false, description: 'build with development utility programs')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
option('man', type: 'boolean', value: false, description: 'generate man pages')

## gvfs 1.2.3-1jolicloud1

=== debian/changelog ===
gvfs (1.2.3-1jolicloud1) robby; urgency=low

  * New upstream version:
    - fix crash in nautilus when accessing network:// protocol

 -- Alex Launi <alex@jolicloud.org>  Tue, 22 Dec 2009 17:36:42 -0500

gvfs (1.2.2-0ubuntu2) jaunty-proposed; urgency=low

  * debian/patches/99_sftp_group_perm_check.patch: 
    - fixes a failure to check group permissions on sftp hosts (lp: #312396)

 -- Dereck Wonnacott <dereck@gmail.com>  Fri, 08 May 2009 14:37:21 -0400

gvfs (1.2.2-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - ftp: Fix error handling in some cases
    - proxy monitor: Fix warning spew
  * debian/patches/91_svn_change_ssh_use_gnome_keyring.patch:
    - svn change to get the ssh backend to use gnome-keyring (lp: #345496)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Apr 2009 21:04:33 +0200

gvfs (1.2.1-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - Fix duplicate CD audio icons after remount
    - Fix problems mounting encrypted volumes
    - Handle usernames with @ in them better in uris
    - trash: handle weird filenames correctly
    - sftp: Fix various error conditions
    - volume monitors: emit pre-unmount signals
    - smb: Fix various error conditions
    - fuse: Make sure closing a file flushed the file on the backend
  * debian/patches/90_svn_update.patch:
    - the change is the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Apr 2009 16:51:09 +0200

gvfs (1.2.0-0ubuntu2) jaunty; urgency=low

  * debian/patches/90_svn_update.patch:
    - update to current svn to give it some testing and make the 2.26.1 update
      easier to review
  * debian/patches/90_relibtoolize.patch:
    - reactivated and updated

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2009 00:41:20 +0200

gvfs (1.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - sftp: Don't hang if ssh no authentication method availible
    - Don't leak file monitors
    - computer: don't show shadowed mounts

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Mar 2009 13:19:50 +0100

gvfs (1.1.8-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - Fix crashers and leaks (lp: #201519)
    - Handle file:// uris with anchors in gvfs-open
    - fuse: Support ftruncate to the current file size (lp: #234532)
    - escape/unescape hostname part in uris, allowing spaces in e.g. smb domains
    - hal: Fix "No mount object" error on mount
    - Change details of the new .xdg-volume-info file format
    - Fix races in cancellation of gvfs streams
    - Remove debug spew from backends
    - ftp: Fix anonymous login (lp: #334540)
    - gphoto2: Ignore broken storages with no capacity (lp: #326029)
    - Don't globally modify COMP_WORDBREAKS in bash completion script
      (lp: #290784)
    - Don't ask for username when getting ssh key passphrase
  * debian/patches/91_upstream_change_fix_trash_crasher.patch:
    - the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2009 13:02:47 +0100

gvfs (1.1.7-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - Fix build on some platforms
    - ftp: Fix short read errors (lp: #208750)
    - gphoto2: Make it work on iphone
    - sftp: Fix symlink creation
    - fuse: Better support of truncation, fixing OOo save (lp: #317587)
    - proxy monitors: Support mount operations, etc
    - gvfs-mount: add --device commandline support
    - sftp: Fix protocol bug that made some servers not work (lp: #286053)
    - general support for query_info over streams, implemented for smb, sftp
    - Initial support for .xdg-volume-info reading (lp: #269159)
    - fix trash crasher (lp: #332554)
    - use ssh config (lp: #264803)
  * debian/patches/02_support_xdg_volume_info.patch:
    - the new version fixes this issue
  * debian/patches/91_upstream_change_fix_trash_crasher.patch:
    - upstream change to fix a trash crasher (lp: #333791)
  * debian/rules:
    - shlibs version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2009 18:10:40 +0100

gvfs (1.1.6-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - Fix crashes
    - trash: Better messages
    - Clean up glib and gtk includes
    - archive: Build with later versions of libarchive
    - dav: Fix folder creation
    - dav: Fix redirection when user is specified in url
    - http: fix error propagation
    - sftp: Try to preserve ownership when replacing a file
  * debian/control.in:
    - gvfs-fuse depends on fuse-utils to work (lp: #327858)
  * debian/patches/90_upstream_change_fix_rhythmbox_crasher.patch:
    - the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Feb 2009 14:57:52 +0100

gvfs (1.1.5-0ubuntu2) jaunty; urgency=low

  * Add 02_support_xdg_volume_info.patch: Support reading a
    .volume-info file on mounts. This allows non-hal mounts (such as
    FUSE) to have custom icons and names. Patch by Rodney Dawes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Feb 2009 19:37:49 +0100

gvfs (1.1.5-0ubuntu1) jaunty; urgency=low

  * New upstream version:
    - network: Pick up SMB shares from zeroconf
    - obexftp: Write support for
    - obexftp: Support obexftp over usb
    - trash: Don't follow symlinks on delete
    - fix crashes (lp: #320386)
  * debian/patches/91_dnssd_use_libglib.patch,
    debian/patches/92_svn_change_fix_incorrect_trash_write.patch,
    debian/patches/93_svn_change_fix_trash_enumerate_issue.patch:
    - the change is in the new version
  * debian/rules:
    - updated shlibs version (lp: #322763)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Feb 2009 14:38:23 +0100

gvfs (1.1.4-0ubuntu3) jaunty; urgency=low

  * debian/patches/93_svn_change_fix_trash_enumerate_issue.patch:
    - svn change to fix trashing issue (lp: #323321)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Jan 2009 22:47:26 +0100

gvfs (1.1.4-0ubuntu2) jaunty; urgency=low

  * debian/patches/92_svn_change_fix_incorrect_trash_write.patch:


=== debian/control ===
Source: gvfs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5),
               autotools-dev,
               cdbs,
               quilt,
               gnome-pkg-tools (>= 0.7),
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.19),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libfuse-dev,
               libexpat1-dev,
               libsmbclient-dev (>= 3.0),
               libcdio-paranoia-dev (>= 0.78.2),
               libhal-dev (>= 0.5.10),
               libsoup-gnome2.4-dev (>= 2.23.91),
               libgconf2-dev,
               libavahi-client-dev (>= 0.6),
               libavahi-glib-dev (>= 0.6),
               libgphoto2-2-dev (>= 2.4.0),
               libgnome-keyring-dev,
               libxml2-dev,
               libbluetooth-dev (>= 3.12),
               libltdl3-dev,
               libarchive-dev,
               openssh-client
Standards-Version: 3.8.0
Section: libs

Package: libgvfscommon0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: userspace virtual filesystem - library
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the libgvfscommon library that is used by the 
 backends.

Package: libgvfscommon-dev
Section: libdevel
Architecture: any
Depends: libgvfscommon0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev (>= 2.19)
Description: userspace virtual filesystem - development files
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the libgvfscommon development files, needed to 
 build new backends that make use of the same functions.

Package: gvfs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: dbus, hal (>= 0.5.10), gvfs-backends
Conflicts: gvfs-backends (<< 1.0.2-1)
Description: userspace virtual filesystem - server
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse. 
 .
 This package contains the gvfs server that provides gvfs mounts to all 
 gio applications, and the minimal set of backends.

Package: gvfs-fuse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version}),
         fuse-utils
Description: userspace virtual filesystem - fuse server
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the gvfs-fuse server that exports gvfs mounts to 
 all applications using FUSE.

Package: gvfs-backends
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Recommends: obex-data-server
Description: userspace virtual filesystem - backends
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the archive, burn, cdda, dav, dnssd, ftp, 
 gphoto2, http, network, obexftp, sftp, smb and smb-browse backends.

Package: gvfs-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Description: userspace virtual filesystem - binaries
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the support binaries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libgvfscommon0 := -V "libgvfscommon0 (>= 1.1.7)"
DEB_DH_MAKESHLIBS_ARGS_gvfs := --no-act

## gvfs 1.6.1-0ubuntu1build1common0omsk1

=== debian/changelog ===
gvfs (1.6.1-0ubuntu1build1common0omsk1) lucid; urgency=low

  * Rebase on lucid-updates. No remaining changes.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Aug 2010 14:10:10 +0200

gvfs (1.6.1-0ubuntu1build1) lucid-proposed; urgency=low

  * No-change rebuild to get the missing powerpc binaries.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 May 2010 11:47:17 +0200

gvfs (1.6.1-0ubuntu1) lucid-proposed; urgency=low

  * New upstream bug fix release. Compared to the last git snapshot, this
    changes:
    - client: Don't loop on problematic dbus input (LP: #553082)
    - Translation updates
  * Remove 01_dont_ignore_blank_cd_drives.patch: Applied upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Apr 2010 12:51:26 +0200

gvfs (1.6.0+git20100414-0ubuntu1omsk2) lucid; urgency=low

  * Remove debian/patches/oem-automount-audio-cds.patch: it appears that it is
    useless after all (LP: #605131)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Aug 2010 13:38:07 +0200

gvfs (1.6.0+git20100414-0ubuntu1omsk1) lucid; urgency=low

  * oem-automount-audio-cds.patch: set AutoMount to true for the cdda backend
    (LP: #605131)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 16 Jul 2010 14:31:38 +0200

gvfs (1.6.0+git20100414-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot (since GNOME 2.30.1 will be too late for lucid):
    - afc: Detect iPad and set correct icon name
    - ftp: Parse PWD reply according to RFC
    - ftp: Add missing \n to debug message
    - Attach cancellable to async result and check in finish functions
      (LP: #544306)
    - Disable x-content-types for jailbroken iDevices
    - Translation updates.
  * Drop 04_dont_automount_internal_partitions.patch, it was fixed upstream a
    while ago with a different approach.
  * 02_music-player-mimetype.patch: Update to current patch tagging format.
  * debian/control.in: Bump Standards-Version to 3.8.4 (no changes necessary).
  * Add 01_dont_ignore_blank_cd_drives.patch: Extend the special casing of CD
    drives in should_drive_be_ignored() to also cover blank media. Otherwise
    we lose the drive for the blank media volume, and with it the possibility
    to eject it. (LP: #425104)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Apr 2010 11:02:59 +0200

gvfs (1.6.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - afc: Allow copy of folders
    - gphoto2: Don't access things accessible via afc too
    - Translation updates
  * Drop 01-gphoto-ignore-afc.patch, upstream now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Mar 2010 11:53:31 +0200

gvfs (1.5.5-0ubuntu2) lucid; urgency=low

  * debian/control.in: Drop Vcs-Bzr:, moving to lp:ubuntu/gvfs.
  * Add 01-gphoto-ignore-afc.patch: Ignore gphoto2 mounts on AFC capable
    devices. (LP: #537261)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 23 Mar 2010 21:16:30 +0100

gvfs (1.5.5-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - Fix with-dbus-service-dir configure switch
    - ftp: Cleanup 
    - archive: Use archive_errno() the correct way
    - Correct return values on error for programs
    - Translation updates
  * debian/rules:
    - don't explicitly set the D-Bus service dir configuration option now that
      the build has been fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Mar 2010 16:41:20 +0100

gvfs (1.5.4-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - gphoto2: Better support for devices that are read-only + delete
    - gdu: Various fixes and preparation for LVM
    - ftp: fix asserts
    - sftp: remember to save password if username changed (LP: #365662)
    - gio module: don't call g_file_find_enclosing_mount_async callback
      directly
    - gvfs-monitor: Track moves if available
    - Translation updates
  * debian/control.in: Bump gdu and glib build dependency, according to
    configure.ac.
  * debian/rules: Explicitly set D-Bus service dir configuration option, to
    work around regression in upstream configure.ac (now fixed in trunk).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 23 Feb 2010 13:00:18 +0100

gvfs (1.5.3-0ubuntu2) lucid; urgency=low

  * debian/control.in:
    - build-depends on libimobiledevice
    - updated the gvfs-backends description to list afc too
  * debian/gvfs-backends.install:
    - install the new afc backend

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Feb 2010 19:14:12 +0100

gvfs (1.5.3-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - afc: Update for libimobiledevice 
    - ftp: Handle cases where symlink target is not defined
    - ftp: Prefer PASV/PORT to EPSV/EPRT for IPv4, the latter for IPv6
    - Translation updates
    
 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2010 16:04:46 +0100

gvfs (1.5.2-0ubuntu2) lucid; urgency=low

  * Only add -Wl,-O1 to LDFLAGS if DEB_HOST_ARCH != armel; thanks Paul Larson;
    LP #512959.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 02 Feb 2010 22:25:12 +0100

gvfs (1.5.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Support new "default location" gio mount attribute
    - Enable support for lazy loading of gio modules
    - Don't build hal if building gdu
    - daemon: Finalize backend on unmount
    - metadata: stability and leak fixes
    - metadata: fix data loss on i/o error
    - fuse: Don't support readlink
    - fuse: Allow setting mtime
    - fuse: Fix permissions
    - smb: Fix free space reporting on some servers
    - gdu: handle mounts better
    - trash: Fix crash/assert
  * debian/control.in: update libglib2.0-dev buid-dep
  * debian/patches/04_dont_automount_internal_partitions.patch: adapted

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 26 Jan 2010 13:45:48 +0100

gvfs (1.5.1-0ubuntu2) lucid; urgency=low

  * debian/gvfs-bin.install: Install bash completion into the correct
    directory. Add debian/gvfs-bin.preinst to clean up on upgrades.
    (Cherrypicked from Debian)


=== debian/control ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: gvfs
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
@@ -9,26 +14,28 @@
                quilt,
                gnome-pkg-tools (>= 0.7),
                intltool (>= 0.35.0),
-               libglib2.0-dev (>= 2.19),
+               libglib2.0-dev (>= 2.23.4),
                libdbus-1-dev,
                libdbus-glib-1-dev,
                libfuse-dev,
                libexpat1-dev,
                libsmbclient-dev (>= 3.0),
                libcdio-paranoia-dev (>= 0.78.2),
-               libhal-dev (>= 0.5.10),
-               libsoup-gnome2.4-dev (>= 2.23.91),
+               libgudev-1.0-dev,
+               libsoup-gnome2.4-dev (>= 2.26.0),
                libgconf2-dev,
                libavahi-client-dev (>= 0.6),
                libavahi-glib-dev (>= 0.6),
                libgphoto2-2-dev (>= 2.4.0),
                libgnome-keyring-dev,
+               libgdu-dev (>= 2.29.0~git20100222.e85476),
+               libimobiledevice-dev,
                libxml2-dev,
                libbluetooth-dev (>= 3.12),
                libltdl3-dev,
                libarchive-dev,
                openssh-client
-Standards-Version: 3.8.0
+Standards-Version: 3.8.4
 Section: libs
 
 Package: libgvfscommon0
@@ -66,9 +73,11 @@
 Package: gvfs
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: dbus, hal (>= 0.5.10), gvfs-backends
-Conflicts: gvfs-backends (<< 1.0.2-1)
+         ${misc:Depends},
+         policykit-1-gnome
+Recommends: dbus, gvfs-backends
+Conflicts: gvfs-backends (<< 1.5.1-0ubuntu2)
+Replaces: gvfs-backends (<< 1.5.1-0ubuntu2)
 Description: userspace virtual filesystem - server
  gvfs is a userspace virtual filesystem where mount runs as a separate 
  processes which you talk to via D-Bus. It also contains a gio module 
@@ -108,7 +117,7 @@
  API. It also supports exposing the gvfs mounts to non-gio applications 
  using fuse.
  .
- This package contains the archive, burn, cdda, dav, dnssd, ftp, 
+ This package contains the afc, archive, burn, cdda, dav, dnssd, ftp, 
  gphoto2, http, network, obexftp, sftp, smb and smb-browse backends.
 
 Package: gvfs-bin

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+LDFLAGS += -Wl,-z,defs -Wl,--as-needed
+ifneq ($(DEB_HOST_ARCH),armel)
+LDFLAGS += -Wl,-O1
+endif
 
 DEB_DH_MAKESHLIBS_ARGS_libgvfscommon0 := -V "libgvfscommon0 (>= 1.1.7)"
 DEB_DH_MAKESHLIBS_ARGS_gvfs := --no-act

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gvfs/([\d\.]+)[0-9]/gvfs-([\d\.]+)\.tar\.gz

## gvfs 1.6.4

=== debian/changelog ===
gvfs (1.6.4-3) unstable; urgency=low

  * 07_smb_initialdir.patch: new patch by Tomas Bzatek and myself. Take 
    into account initial path when doing a SMB mount, to avoid 
    permission issues. Closes: #533417.

 -- Josselin Mouette <joss@debian.org>  Wed, 22 Dec 2010 20:45:43 +0100

gvfs (1.6.4-2) unstable; urgency=low

  * 06_sftp_timeout.patch: patch from Andreas Henriksson to fix 
    incorrect timeout introduced by the openssh 5.6 portability change.

 -- Josselin Mouette <joss@debian.org>  Sun, 03 Oct 2010 00:44:17 +0200

gvfs (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Oct 2010 12:52:33 +0200

gvfs (1.6.3-2) unstable; urgency=low

  * Depend on fuse-utils 2.8.4. Closes: #585648.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 20:05:15 +0200

gvfs (1.6.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop type-handling usage. Closes: #587874.
  * Bump standards version accordingly.

  [ Laurent Bigonville ]
  * debian/control: Add Vcs-Svn and Vcs-Browser pseudo-headers

  [ Josselin Mouette ]
  * New upstream release.
  * 01_maintainer_mode.patch, 90_relibtoolize.patch: updated for the new 
    version.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Jul 2010 18:37:07 +0200

gvfs (1.6.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes FTBFS because of bashism in configure (Closes: #583002).
    + debian/patches/90_relibtoolize.patch:
      - Regenerated for the new version.
    + debian/patches/*:
      - Refreshed all patches.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 31 May 2010 10:33:59 +0200

gvfs (1.6.1-1) unstable; urgency=low

  * New upstream bugfix release.
    - debian/patches/01_maintainer_mode.patch,
      debian/patches/90_relibtoolize.patch:
      + Refreshed.
  * debian/control.in:
    - Don't build depend on libimobiledevice-dev on Hurd.
  * debian/gvfs-backends.install
    debian/rules
    - Install the afc backend from debian/rules, and don't do it on Hurd.
  * debian/source/format,
    debian/control.in,
    debian/rules:
    - Switch to source format 3.0 (quilt).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 May 2010 18:16:31 +0200

gvfs (1.6.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.
    + debian/control.in,
      debian/gvfs-backends.install:
      - Install the new AFC backend.
    + debian/patches/02_deprecated.patch,
      debian/patches/01_maintainer_mode.patch,
      debian/patches/05_shared_libdaemon.patch:
      - Updated to apply cleanly again.
    + debian/patches/90_relibtoolize.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Apr 2010 06:04:57 +0200

gvfs (1.4.3-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend gnome-keyring, since the library will stop doing so.
  * Suggest obex-data-server, not obexd-client.

  [ Michael Biebl ]
  * Drop devicekit-disks dependency from gvfs and let libgdu depend on the
    correct backend itself.
  * Add Breaks libgdu0 (<< 2.28.1-3) so we do not accidentally end up without
    devicekit-disks (or udisks) being installed.
  * Bump Standards-Version to 3.8.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Mar 2010 17:45:12 +0100

gvfs (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_maintainer_mode.patch: fix to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Dec 2009 21:45:30 +0100

gvfs (1.4.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Suggest obexd-clint instead of obex-data-server.

  [ Andreas Henriksson ]
  * New upstream release.
  * Refresh patches and recreate 90_relibtoolize.patch

  [ Josselin Mouette ]
  * Break rhythmbox < 0.12.6-2. See #561083 for bugs that can happen 
    when RB and gvfs don’t use the same backend.

 -- Josselin Mouette <joss@debian.org>  Mon, 14 Dec 2009 14:39:01 +0100

gvfs (1.4.1-6) unstable; urgency=low

  * Drop fuse-utils dependency on !linux.
  * Upload to unstable, now we have a fixed devicekit-disks in testing.
  * “Hold on to dmsetup, I’m removing HAL.”

 -- Josselin Mouette <joss@debian.org>  Tue, 24 Nov 2009 15:54:31 +0100

gvfs (1.4.1-5+gdu) experimental; urgency=low

  * Merge changes in unstable to the experimental (GDU-enabled) branch.
  * Require dk-disks >> 009-1 to have IDE support.
  * Replace part of the sed magic by linux-any magic.
  * 05_shared_libdaemon.patch:
    + Put the common code for all gvfsd-* in a private library in 
      /usr/lib/gvfs/libgvfsdaemon.so. This reduces binary sizes and 
      memory overhead caused by the multiple running daemons. 
    + Move libgvfscommon* to /usr/lib/gvfs as well.
  * Install libgvfsdaemon.
  * 90_relibtoolize.patch: refresh accordingly.

 -- Josselin Mouette <joss@debian.org>  Mon, 16 Nov 2009 18:28:56 +0100

gvfs (1.4.1-5) unstable; urgency=low

  * Brown paper *bag* release.
  * debian/gvfs-backends.install:
    - debian/tmp/usr/share/gvfs/remote-volume-monitors/gphoto2.monitor is
      now installed from debian/rules to avoid installing it on the Hurd,
      so remove it from the .install file. Should really fix the build on
      the Hurd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 13 Nov 2009 02:20:36 +0100

gvfs (1.4.1-4) unstable; urgency=low

  * Brown paper bug release.
  * debian/patches/series:
    - Really apply 04_hurd_path_max.patch. Closes: #555055.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 12 Nov 2009 08:15:01 +0100

gvfs (1.4.1-3) unstable; urgency=low

  * debian/patches/04_hurd_path_max.patch:
    - Fix the build in the Hurd.
  * debian/control.in:
    - Build-dep on libcdio-paranoia-dev on the Hurd now that it's available
      there.
  * debian/gvfs-backends.install,
    debian/rules:
    - Don't install the gphoto2 backend on the Hurd.
  * Thanks to Samuel Thibault for all the above. This closes: #555055.



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gvfs
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5),
               autotools-dev,
               cdbs,
               gnome-pkg-tools (>= 0.7),
               pkg-config,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.23.4),
               libdbus-1-dev,
               intltool (>= 0.35.0),
               openssh-client,
               libsoup-gnome2.4-dev (>= 2.26.0),
               libxml2-dev,
               libudev-dev (>= 0.138) [linux-any],
               libavahi-glib-dev (>= 0.6),
               libavahi-client-dev (>= 0.6),
               libfuse-dev [!hurd-i386],
               libgconf2-dev,
               libhal-dev (>= 0.5.10) [!linux-any],
               libgdu-dev (>= 2.29.0) [linux-any],
               libgudev-1.0-dev (>= 001) [linux-any],
               libcdio-paranoia-dev (>= 0.78.2),
               libbluetooth-dev (>= 4.0) [linux-any],
               libdbus-glib-1-dev,
               libexpat1-dev,
               libgphoto2-2-dev (>= 2.4.0),
               libgnome-keyring-dev,
               libsmbclient-dev (>= 3.0),
               libarchive-dev,
               libltdl-dev,
               libimobiledevice-dev (>= 0.9.7) [!hurd-i386]
Standards-Version: 3.9.0
Section: libs
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-gnome/desktop/unstable/gvfs
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gvfs/

Package: gvfs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         x11-utils,
Recommends: dbus,
            hal (>= 0.5.10) [!linux-any],
            gnome-mount [!linux-any] | exo-utils [!linux-any],
            policykit-1-gnome [linux-any]
Breaks: brasero (<< 2.28.0-2),
        rhythmbox (<< 0.12.6-2),
        libgdu0 (<< 2.28.1-3)
Suggests: gvfs-backends
Conflicts: gvfs-backends (<< 1.0.2-2), libgvfscommon0
Replaces: libgvfscommon0
Description: userspace virtual filesystem - server
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse. 
 .
 This package contains the gvfs server that provides gvfs mounts to all 
 gio applications, and the minimal set of backends.

Package: gvfs-fuse
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version}),
         fuse-utils (>= 2.8.4) [linux-any]
Description: userspace virtual filesystem - fuse server
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the gvfs-fuse server that exports gvfs mounts to 
 all applications using FUSE.

Package: gvfs-backends
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Recommends: gnome-keyring
Suggests: obex-data-server
Description: userspace virtual filesystem - backends
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the afc, archive, cdda, dav, dnssd, ftp, gphoto2, 
 http, network, obexftp, sftp, smb and smb-browse backends.

Package: gvfs-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Description: userspace virtual filesystem - binaries
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the support binaries.

Package: gvfs-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Description: userspace virtual filesystem - debugging information
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the debugging symbols needed to help debug gvfs 
 itself and gvfs modules.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_STRIP_ARGS := --dbg-package=gvfs-dbg
DEB_DH_MAKESHLIBS_ARGS_ALL := -Xlib/gio -Xlib/gvfs
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

MANPAGES += $(patsubst %.pod,%.1,$(wildcard debian/*.pod))

%.1: %.pod
	pod2man --release="Gvfs $(DEB_UPSTREAM_VERSION)" \
	        --center="Debian GNU/Not Linux" $< $@

ifeq ($(DEB_HOST_ARCH_OS),linux)

DEB_CONFIGURE_EXTRA_FLAGS += --disable-hal

install/gvfs-backends::
	# Those are only available on Linux:
	dh_install --autodest -pgvfs-backends --ignore=debian/gvfs-backends.install \
		debian/tmp/usr/lib/gvfs/gvfsd-obexftp \
		debian/tmp/usr/share/gvfs/mounts/obexftp.mount

install/gvfs::
	dh_install --autodest -pgvfs --ignore=debian/gvfs.install \
		debian/tmp/usr/lib/gvfs/gvfs-gdu-volume-monitor \
		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.GduVolumeMonitor.service \
		debian/tmp/usr/share/gvfs/remote-volume-monitors/gdu.monitor

else

DEB_INSTALL_MANPAGES_gvfs += $(MANPAGES)

install/gvfs::
	dh_install --autodest -pgvfs --ignore=debian/gvfs.install \
		debian/tmp/usr/lib/gvfs/gvfs-hal-volume-monitor \
		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service \
		debian/tmp/usr/share/gvfs/remote-volume-monitors/hal.monitor
	dh_install -pgvfs --ignore=debian/gvfs.install \
		debian/xdg-mount usr/bin

endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
install/gvfs-backends::
	dh_install --autodest -pgvfs-backends --ignore=debian/gvfs-backends.install \
		debian/tmp/usr/lib/gvfs/gvfsd-gphoto2 \
		debian/tmp/usr/lib/gvfs/gvfs-gphoto2-volume-monitor \
		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service \
		debian/tmp/usr/share/gvfs/mounts/gphoto2.mount \
		debian/tmp/usr/share/gvfs/remote-volume-monitors/gphoto2.monitor \
		debian/tmp/usr/lib/gvfs/gvfsd-afc \
		debian/tmp/usr/lib/gvfs/gvfs-afc-volume-monitor \
		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service \
		debian/tmp/usr/share/gvfs/mounts/afc.mount \
		debian/tmp/usr/share/gvfs/remote-volume-monitors/afc.monitor
endif

common-build-arch:: $(MANPAGES)

clean::
	rm -f $(MANPAGES)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gvfs/([\d\.]+)[02468]/ \
gvfs-([\d\.]+)\.tar\.gz

## gvfs 1.8.0

=== debian/changelog ===
gvfs (1.8.0-0ubuntu3) natty-proposed; urgency=low

  * 10_flash_drive_autmount.patch: SRU of patch that allows gvfs to
    recognize ID_FLASH udisks attributes (lp: #759963)

 -- Ayan George <ayan.george@canonical.com>  Tue, 16 Aug 2011 16:07:47 -0400

gvfs (1.8.0-0ubuntu2) natty; urgency=low

  * 90_git_leaks_fixes.patch: git commit to fix leaks (lp: #751523)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Apr 2011 15:39:56 +0200

gvfs (1.8.0-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Apr 2011 16:04:52 +1000

gvfs (1.7.3-0ubuntu2) natty; urgency=low

  * Correctly update using merge-upstream otherwise the diff will be reverted
    in the diff.gz.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Mar 2011 11:11:57 +0100

gvfs (1.7.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Set version on libfuse-dev build-depends

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Mar 2011 15:46:44 +1100

gvfs (1.7.2-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Feb 2011 10:10:05 +1100

gvfs (1.7.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control:
    - Bump build-depends on libimobiledevice-dev
    - Add build-depends on libplist-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Jan 2011 14:39:29 +1100

gvfs (1.7.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/patches/03_no_gconf.patch:
    - dropped, it's in the new version
  * debian/control.in:
    - don't build-depends on libgconf2-dev
  * debian/gvfs.install:
    - install the gsettings schemas and gconf version script

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Dec 2010 18:49:04 +0100

gvfs (1.6.6-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on dh-autoreconf
    - Use standards version 3.9.1
  * debian/rules:
    - Use autoreconf.mk
    - Build with --disable-gconf (it doesn't build with recent glib)
  * debian/patches/03_no_gconf.patch:
    - Don't build the gconf module, it fails to build on recent glib

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 26 Nov 2010 14:47:30 +1100

gvfs (1.6.4-0ubuntu1) maverick; urgency=low

  * New upstream release 1.6.4, major changes:
    - Lots of translation updates
    - afc: Add support for photo thumbnails on iOS4
    - daemons: Move GConf initialization from backend constructor
    - sftp: Use poll() to cope with openssh-5.6 changes
  * debian/patches/debian-changes-1.6.3-0ubuntu1:
    - removed, introduced in previous upload by mistake
  * debian/patches/git_gconf_init.patch:
    - obsolete.
  * debian/patches/git_backout_sftp_commit_c6be45c.patch:
    - revert git commit c6be45c
    - allows sftp calls to complete and not fail with a timeout.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 29 Sep 2010 17:00:44 +0200

gvfs (1.6.3-0ubuntu2) maverick; urgency=low

  * debian/patches/git_gconf_init.patch:
    - backport upstream commit to fix locking issues (lp: #631960)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Sep 2010 17:18:05 +0200

gvfs (1.6.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control.in:
    - Use standards-version 3.9.0
    - Drop build-depends on quilt
  * debian/rules:
    - Remove CDBS quit rule
  * debian/source/format
    - Use source format 3.0
  * debian/patches/90_git_correct_variable.patch:
  * debian/patches/91_git_ssh_dialog.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Jul 2010 10:59:05 +1000

gvfs (1.6.2-0ubuntu2) maverick; urgency=low

  * debian/patches/90_git_correct_variable.patch:
    - git change to fix an incorrect variable use
  * debian/patches/91_git_ssh_dialog.patch:
    - git change to display ssh host and username informations (lp: #390218)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jul 2010 17:31:48 +0200

gvfs (1.6.2-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 May 2010 18:59:34 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gvfs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5),
               dh-autoreconf,
               autotools-dev,
               cdbs,
               gnome-pkg-tools (>= 0.7),
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.23.4),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libfuse-dev (>= 2.8.0),
               libexpat1-dev,
               libsmbclient-dev (>= 3.0),
               libcdio-paranoia-dev (>= 0.78.2),
               libgudev-1.0-dev,
               libsoup-gnome2.4-dev (>= 2.26.0),
               libavahi-client-dev (>= 0.6),
               libavahi-glib-dev (>= 0.6),
               libgphoto2-2-dev (>= 2.4.0),
               libgnome-keyring-dev,
               libgdu-dev (>= 2.29.0~git20100222.e85476),
               libimobiledevice-dev (>= 1.1.0),
               libplist-dev (>= 0.15),
               libxml2-dev,
               libbluetooth-dev (>= 3.12),
               libltdl3-dev,
               libarchive-dev,
               openssh-client
Standards-Version: 3.9.1
Section: libs

Package: libgvfscommon0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: userspace virtual filesystem - library
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the libgvfscommon library that is used by the 
 backends.

Package: libgvfscommon-dev
Section: libdevel
Architecture: any
Depends: libgvfscommon0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev (>= 2.19)
Description: userspace virtual filesystem - development files
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the libgvfscommon development files, needed to 
 build new backends that make use of the same functions.

Package: gvfs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         policykit-1-gnome
Recommends: dbus, gvfs-backends
Conflicts: gvfs-backends (<< 1.5.1-0ubuntu2)
Replaces: gvfs-backends (<< 1.5.1-0ubuntu2)
Description: userspace virtual filesystem - server
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse. 
 .
 This package contains the gvfs server that provides gvfs mounts to all 
 gio applications, and the minimal set of backends.

Package: gvfs-fuse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version}),
         fuse-utils
Description: userspace virtual filesystem - fuse server
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the gvfs-fuse server that exports gvfs mounts to 
 all applications using FUSE.

Package: gvfs-backends
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Recommends: obex-data-server
Description: userspace virtual filesystem - backends
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the afc, archive, burn, cdda, dav, dnssd, ftp, 
 gphoto2, http, network, obexftp, sftp, smb and smb-browse backends.

Package: gvfs-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs (= ${binary:Version})
Description: userspace virtual filesystem - binaries
 gvfs is a userspace virtual filesystem where mount runs as a separate 
 processes which you talk to via D-Bus. It also contains a gio module 
 that seamlessly adds gvfs support to all applications using the gio 
 API. It also supports exposing the gvfs mounts to non-gio applications 
 using fuse.
 .
 This package contains the support binaries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs -Wl,--as-needed
ifneq ($(DEB_HOST_ARCH),armel)
LDFLAGS += -Wl,-O1
endif

DEB_DH_MAKESHLIBS_ARGS_libgvfscommon0 := -V "libgvfscommon0 (>= 1.1.7)"
DEB_DH_MAKESHLIBS_ARGS_gvfs := --no-act
